Docs Fal.ai /fal-ai/veo3/fast
API reference

/fal-ai/veo3/fast

Official document address: https://fal.ai/models/fal-ai/veo3/fast

POST/fal-ai/veo3/fast

Body Parametersapplication/json

aspect_ratio string

The aspect ratio of the generated video. If set to 1:1, the video will be drawn out. Default value: "16:9", range [16:9,9:16,1:1]

auto_fix boolean

Whether to automatically attempt to fix prompts that fail content policy or other validation checks by rewriting Default: true

duration string

Duration of generated video (in seconds) Default value: "8s"

enhance_prompt boolean

Whether to enhance video generation. Default value: true

generate_audio boolean

Whether to generate audio for the video. If false, points will be reduced by %33. Default value: true

prompt* string

A text tip describing the video to generate

resolution string

Default resolution of generated video: "720p" Range value [720p, 1080p]

Responses

200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"aspect_ratio": "16:9",
3"auto_fix": true,
4"duration": "4s",
5"enhance_prompt": true,
6"generate_audio": false,
7"prompt": "A casual street interview on a busy New York City sidewalk in the afternoon. The interviewer holds a plain, unbranded microphone and asks: Have you seen Google's new Veo3 model It is a super good model. Person replies: Yeah I saw it, it's already available on fal. It's crazy good.",
8"resolution": "720p"
9}
Code Sample cURL
1curl -X POST "https://api.digislash.com/fal-ai/veo3/fast" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"aspect_ratio": "16:9",
6"auto_fix": true,
7"duration": "4s",
8"enhance_prompt": true,
9"generate_audio": false,
10"prompt": "A casual street interview on a busy New York City sidewalk in the afternoon. The interviewer holds a plain, unbranded microphone and asks: Have you seen Google's new Veo3 model It is a super good model. Person replies: Yeah I saw it, it's already available on fal. It's crazy good.",
11"resolution": "720p"
12}'
Response
1▼{
2"cancel_url": "https://queue.fal.run/fal-ai/veo3/requests/fabda298-3a7c-43f6-ba3a-2bde5b344173/cancel",
3"logs": [],
4"metrics": {},
5"queue_position": 0,
6"request_id": "fabda298-3a7c-43f6-ba3a-2bde5b344173",
7"response_url": "https://queue.fal.run/fal-ai/veo3/requests/fabda298-3a7c-43f6-ba3a-2bde5b344173",
8"status": "IN_QUEUE",
9"status_url": "https://queue.fal.run/fal-ai/veo3/requests/fabda298-3a7c-43f6-ba3a-2bde5b344173/status"
10}